//
// $Id: Process.cpp 53186 2003-11-02 23:27:23Z dhinton $
//
#include "Process.h"
#include "ace/OS_NS_unistd.h"

ACE_RCSID(Client_Leaks, Process, "$Id: Process.cpp 53186 2003-11-02 23:27:23Z dhinton $")

Process::Process (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

CORBA::Long
Process::get_process_id (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  return ACE_OS::getpid ();
}

void
Process::shutdown (ACE_ENV_SINGLE_ARG_DECL)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  this->orb_->shutdown (0 ACE_ENV_ARG_PARAMETER);
  ACE_CHECK;
}
